org.apache.jmeter.report.processor.graph

## Class CountValueSelector

- java.lang.Object
- - org.apache.jmeter.report.processor.graph.CountValueSelector

- All Implemented Interfaces:
    GraphValueSelector

      public class CountValueSelector
      extends Object

  The class CountValueSelector provides a projection to count samples.
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CountValueSelector(boolean ignoreTransactionController)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `isIgnoreTransactionController()`
    `Double` | `select(String series, Sample sample)` Do a projection from a sample to the value to aggregate for the specified series and key.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CountValueSelector

          public CountValueSelector(boolean ignoreTransactionController)

      Parameters:
        `ignoreTransactionController` - boolean ignore `SampleResult` generated by `TransactionController`

  - ### Method Detail

    - #### select

          public Double select(String series,
                               Sample sample)

      Description copied from interface: `GraphValueSelector`
      Do a projection from a sample to the value to aggregate for the specified series and key.
      Parameters:
        `series` - the series where the value will be aggregated
        `sample` - the sample
      Returns:
        the value to aggregate or null if value should be ignored
      See Also:
        `GraphValueSelector.select(String, Sample)`

    - #### isIgnoreTransactionController

          protected boolean isIgnoreTransactionController()

      Returns:
        the ignoreTransactionController

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.